.\" X-BASED MASTERBALL(tm)
.\"
.\" xmball.man
.\"
.\" ##
.\"
.\" Copyright (c) 1994 - 95	David Albert Bagley
.\"
.\"                   All Rights Reserved
.\"
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose and without fee is hereby granted,
.\" provided that the above copyright notice appear in all copies and
.\" that both that copyright notice and this permission notice appear in
.\" supporting documentation, and that the name of the author not be
.\" used in advertising or publicity pertaining to distribution of the
.\" software without specific, written prior permission.
.\"
.\" This program is distributed in the hope that it will be "playable",
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
.\"
.TH MASTERBALL 6 "16 May 1995" "V4.10"
.SH NAME
xmball \- Masterball X widget
.SH SYNOPSIS
.B /usr/games/xmball
[-display <display>] [-geometry <geometry>] [-wedges <int>] [-rings <int>]
[-[no]orient] [-mono] [-{background | bg} <color>]
[-{foreground | fg} <color>] [-wedge{0|1|2|3|4|5|6|7} <color>]
.SH DESCRIPTION
.LP
Use "\fBmouse-left\fP" to move ccw.
.LP
Use "\fBmouse-center\fP", "\fBP\fP", or "\fBp\fP" to toggle the practice
mode (in practice mode the record should be "practice").  One must double
click on "\fBmouse-center\fP" if the puzzle is being worked on.
.LP
"\fBmouse-right\fP", "\fBR\fP", or "\fBr\fP", to randomize (this must be
done first to set a new record).  One must double click on
"\fBmouse-right\fP" if the puzzle is being worked on.
.LP
"\fBI\fP" or "\fBi\fP" keys "increase" or move "up" the number of rings.
.LP
"\fBD\fP" or "\fBd\fP" keys "decrease" or move "down" the number of rings.
.LP
"\fBO\fP" or "\fBo\fP" keys toggle the orient mode.
.LP
"\fB2\fP", "\fB4\fP", "\fB6\fP", or  "\fB8\fP" keys change the number of
wedges.
.LP
"\fBS\fP" or "\fBs\fP" are reserved for the self-solver (unimplemented).
.LP
"\fBU\fP" or "\fBu\fP" keys to undo move.
.LP
"\fBE\fP" or "\fBe\fP" keys to enter a saved puzzle.
.LP
"\fBW\fP" or "\fBw\fP" keys to write or save a puzzle.
.LP
"\fBQ\fP", "\fBq\fP", or "\fBCTRL-C\fP" keys kill program.
.LP
Use the key pad or "R" keys for other ways to move other than CCW.
.LP
Use the control key and the left mouse button, keypad, or arrow keys to
move the whole masterball.
.SH OPTIONS
.TP 8
.B \-display \fIhost\fP:\fIdpy\fP
This option specifies the X server to contact.
.TP 8
.B \-geometry {+|\-}\fIX\fP{+|\-}\fIY\fP
This option sets the initial position of the masterball window (resource
name "\fIgeometry\fP").
.TP 8
.B \-{background | bg} \fIcolor\fP
This option specifies the background of the masterball window (resource name
"\fIbackground\fP").
.TP 8
.B \-{foreground | fg} \fIcolor\fP
This option specifies the foreground of the masterball window (resource name
"\fIforeground\fP").
.TP 8
.B \-wedges <\fIint\fP>
This option allows you to change the number of wedges (resource name
"\fIwedges\fP").
.TP 8
.B \-rings <\fIint\fP>
This option allows you to change the number of rings (resource name
"\fIrings\fP").
.TP 8
.B \-[no]orient
This option allows you to access the orient mode (resource name
"\fIorient\fP").
.TP 8
.B \-mono
This option allows you to access the mono mode on a color monitor
(resource name "\fImono\fP").
.TP 8
.B \-wedge{0|1|2|3|4|5|6|7} <\fIcolor\fP>
This option allows you to change the color of a wedge (resource name
"\fIwedgeColorN\fP"). In mono-mode, color is represented as the first letter
of the color name. The wedges are ordered clockwise.  If you have two colors
that begin with the same letter you should have one in uppercase and one in
lowercase to distinguish them in mono-mode. You can change the colors of the
wedges to make a stupid masterball (i.e. all White or in mono-mode all "W").
Unfortunately, it will not normally say its solved when its randomized. This
would be cheating.
.SH SEE ALSO
.LP
X(1), xrubik(6), xskewb(6), xdino(6), xpyraminx(6), xoct(6), xmlink(6),
xcubes(6), xtriangles(6), xhexagons(6), xabacus(1)
.SH COPYRIGHTS
.LP
\*R Copyright 1994-95, David Albert Bagley
.SH BUG REPORTS AND PROGRAM UPDATES
.LP
Send bugs (or their reports, or fixes) to the author
.RS
David Albert Bagley,	<\fIbagleyd@source.asset.com\fP>
.RE
.LP
The most updated source could be found on \fIftp.x.org\fP under
\fI/contrib/games/puzzles\fP.
