.\" X-BASED MISSING LINK(tm)
.\"
.\" xmlink.man
.\"
.\" ##
.\"
.\" Copyright (c) 1994 - 95	David Albert Bagley
.\"
.\"                   All Rights Reserved
.\"
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose and without fee is hereby granted,
.\" provided that the above copyright notice appear in all copies and
.\" that both that copyright notice and this permission notice appear in
.\" supporting documentation, and that the name of the author not be
.\" used in advertising or publicity pertaining to distribution of the
.\" software without specific, written prior permission.
.\"
.\" This program is distributed in the hope that it will be "playable",
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
.\"
.TH MISSING LINK 6 "16 May 1995" "V4.10"
.SH NAME
xmlink \- Missing Link X widget
.SH SYNOPSIS
.B /usr/games/xmlink
[-display <display>] [-geometry <geometry>] [-tiles <int>] [-faces <int>]
[-[no]orient] [-[no]middle] [-mono] [-{background | bg} <color>]
[-{foreground | fg} <color>] [-tile <color>]
[-face{0|1|2|3|4|5|6|7} <color>]
.SH DESCRIPTION
.LP
Use "\fBmouse-left\fP" to slide a tiles or rotate tiles down.
.LP
Use "\fBmouse-middle\fP" to slide a tiles or rotate tiles up.
.LP
"\fBmouse-right\fP", "\fBR\fP", or "\fBr\fP", to randomize.  One must double
click on "\fBmouse-right\fP" if the puzzle is being worked on.
.LP
"\fBO\fP" or "\fBo\fP" keys toggle the orient mode.
.LP
"\fBM\fP" or "\fBm\fP" keys toggle the middle mode.
.LP
"\fBS\fP" or "\fBs\fP" keys reserved for the self-solver (unimplemented).
.LP
"\fBU\fP" or "\fBu\fP" keys to undo move.
.LP
"\fBE\fP" or "\fBe\fP" keys to enter a saved puzzle.
.LP
"\fBW\fP" or "\fBw\fP" keys to write or save a puzzle.
.LP
"\fBQ\fP", "\fBq\fP", or "\fBCTRL-C\fP" keys kill program.
.LP
Use the key pad or "R" keys to move without the mouse.
.LP
Use the shift key and the up or down arrow keys to rotate all the tiles.
.LP
Use the control key and the keypad or arrow keys to enlarge or reduce the
complexity of the puzzle.
.SH OPTIONS
.TP 8
.B \-display \fIhost\fP:\fIdpy\fP
This option specifies the X server to contact.
.TP 8
.B \-geometry {+|\-}\fIX\fP{+|\-}\fIY\fP
This option sets the initial position of the mlink window (resource
name "\fIgeometry\fP").
.TP 8
.B \-{background | bg} \fIcolor\fP
This option specifies the background of the mlink window (resource name
"\fIbackground\fP").
.TP 8
.B \-{foreground | fg} \fIcolor\fP
This option specifies the foreground of the mlink window (resource name
"\fIforeground\fP").
.TP 8
.B \-tile \fIcolor\fP
This option specifies the tile color of the mlink window (resource name
"\fItileColor\fP").
.TP 8
.B \-tiles <\fIint\fP>
This option allows you to change the number of links in a row
(resource name "\fItiles\fP").
.TP 8
.B \-faces <\fIint\fP>
This option allows you to change the number of faces in column
(resource name "\fIfaces\fP").
.TP 8
.B \-[no]orient
This option allows you to access the orient mode (resource name
"\fIorient\fP").
.TP 8
.B \-[no]middle
This option allows you to access the middle mode (resource name
"\fIorient\fP").
.TP 8
.B \-mono
This option allows you to access the mono mode on a color monitor
(resource name "\fImono\fP").
.TP 8
.B \-face{0|1|2|3|4|5|6|7} <\fIcolor\fP>
This option allows you to change the color of a face (resource name
"\fIfaceColorN\fP"). In mono-mode, color is represented as the first letter
of the color name.  The 0th face is the last face face on mlink because I
wanted that one to remain white by default when there are more or less
faces.
.SH SEE ALSO
.LP
X(1), xrubik(6), xskewb(6), xdino(6), xpyraminx(6), xoct(6), xmball(6),
xcubes(6), xtriangles(6), xhexagons(6), abacus(1)
.SH COPYRIGHTS
.LP
\*R Copyright 1994-95, David Albert Bagley
.SH BUG REPORTS AND PROGRAM UPDATES
.LP
Send bugs (or their reports, or fixes) to the author
.RS
David Albert Bagley,	<\fIbagleyd@source.asset.com\fP>
.RE
.LP
The most updated source could be found on \fIftp.x.org\fP under
\fI/contrib/games/puzzles\fP.
