.\" X-BASED TRIANGLES
.\"
.\" xtriangles.man
.\"
.\" ##
.\"
.\" Copyright (c) 1994 - 95	David Albert Bagley
.\"
.\"                   All Rights Reserved
.\"
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose and without fee is hereby granted,
.\" provided that the above copyright notice appear in all copies and
.\" that both that copyright notice and this permission notice appear in
.\" supporting documentation, and that the name of the author not be
.\" used in advertising or publicity pertaining to distribution of the
.\" software without specific, written prior permission.
.\"
.\" This program is distributed in the hope that it will be "playable",
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
.\"
.TH TRIANGLES 6 "16 May 1995" "V4.10"
.SH NAME
xtriangles \- Triangles X widget
.SH SYNOPSIS
.B /usr/games/xtriangles
[-display <display>] [-geometry <geometry>] [-{size <int>]
[-{background | bg} <color>] [-{foreground | fg} <color>] [-tile <color>]
.SH DESCRIPTION
.LP
Use "\fBmouse-left\fP" to move a tile.
.LP
"\fBmouse-right\fP", "\fBR\fP", or "\fBr\fP", to randomize.  One must double
click on "\fBmouse-right\fP" if the puzzle is being worked on.
.LP
"\fBI\fP" or "\fBi\fP" keys "increase" or move "up" the number of triangles.
.LP
"\fBD\fP" or "\fBd\fP" keys "decrease" or move "down" the number of triangles.
.LP
"\fBS\fP" or "\fBs\fP" keys reserved for the auto-solver (unimplemented).
.LP
"\fBU\fP" or "\fBu\fP" keys to undo move.
.LP
"\fBE\fP" or "\fBe\fP" keys to enter a saved puzzle.
.LP
"\fBW\fP" or "\fBw\fP" keys to write or save a puzzle.
.LP
"\fBQ\fP", "\fBq\fP", or "\fBCTRL-C\fP" keys kill program.
.LP
Use the key pad or "R" keys to move without the mouse.
.SH OPTIONS
.TP 8
.B \-display \fIhost\fP:\fIdpy\fP
This option specifies the X server to contact.
.TP 8
.B \-geometry {+|\-}\fIX\fP{+|\-}\fIY\fP
This option sets the initial position of the triangles window (resource
name "\fIgeometry\fP").
.TP 8
.B \-{background | bg} \fIcolor\fP
This option specifies the background of the triangles window (resource name
"\fIbackground\fP").
.TP 8
.B \-{foreground | fg} \fIcolor\fP
This option specifies the foreground of the triangles window (resource name
"\fIforeground\fP").
.TP 8
.B \-tile \fIcolor\fP
This option specifies the tile color of the triangles window (resource name
"\fItileColor\fP").
.TP 8
.B \-size <\fIint\fP>
This option allows you to change the number of triangles in a row (resource
name "\fIsizeA\fP").
.SH SEE ALSO
.LP
X(1), xcubes(6), xhexagons(6), xmlink(6), xrubik(6), xskewb(6), 
xdino(6), xpyraminx(6), xoct(6), xmball(6), xabacus(1)
.SH COPYRIGHTS
.LP
\*R Copyright 1994-95, David Albert Bagley
.SH BUG REPORTS AND PROGRAM UPDATES
.LP
Send bugs (or their reports, or fixes) to the author
.RS
David Albert Bagley,	<\fIbagleyd@source.asset.com\fP>
.RE
.LP
The most updated source could be found on \fIftp.x.org\fP under
\fI/contrib/games/puzzles\fP.
